Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class DeadlineImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.DeadlineImpl

All Implemented Interfaces:
  Externalizable, Serializable, org.kie.internal.task.api.model.Deadline

    @Entity
    public class DeadlineImpl

extends Object
implements org.kie.internal.task.api.model.Deadline

See Also:
  Serialized Form

Constructor Summary
`DeadlineImpl()`

Method Summary
`boolean` | `equals(Object obj)`
`Date` | `getDate()`
`List<I18NText>` | `getDocumentation()`
`List<org.kie.internal.task.api.model.Escalation>` | `getEscalations()`
`long` | `getId()`
`int` | `hashCode()`
`Boolean` | `isEscalated()`
`void` | `readExternal(ObjectInput in)`
`void` | `setDate(Date date)`
`void` | `setDocumentation(List<I18NText> documentation)`
`void` | `setEscalated(Boolean escalated)`
`void` | `setEscalations(List<org.kie.internal.task.api.model.Escalation> escalations)`
`void` | `setId(long id)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeadlineImpl

    public DeadlineImpl()

Method Detail

### isEscalated

    public Boolean isEscalated()

  Specified by:
    `isEscalated` in interface `org.kie.internal.task.api.model.Deadline`

### setEscalated

    public void setEscalated(Boolean escalated)

  Specified by:
    `setEscalated` in interface `org.kie.internal.task.api.model.Deadline`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public long getId()

  Specified by:
    `getId` in interface `org.kie.internal.task.api.model.Deadline`

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `org.kie.internal.task.api.model.Deadline`

### getDocumentation

    public List<I18NText> getDocumentation()

  Specified by:
    `getDocumentation` in interface `org.kie.internal.task.api.model.Deadline`

### setDocumentation

    public void setDocumentation(List<I18NText> documentation)

  Specified by:
    `setDocumentation` in interface `org.kie.internal.task.api.model.Deadline`

### getDate

    public Date getDate()

  Specified by:
    `getDate` in interface `org.kie.internal.task.api.model.Deadline`

### setDate

    public void setDate(Date date)

  Specified by:
    `setDate` in interface `org.kie.internal.task.api.model.Deadline`

### getEscalations

    public List<org.kie.internal.task.api.model.Escalation> getEscalations()

  Specified by:
    `getEscalations` in interface `org.kie.internal.task.api.model.Deadline`

### setEscalations

    public void setEscalations(List<org.kie.internal.task.api.model.Escalation> escalations)

  Specified by:
    `setEscalations` in interface `org.kie.internal.task.api.model.Deadline`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.